#include "SDL/SDL.h"
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <time.h>
#include "game.h"

struct game game;

void atexit_game(void)
{
	fprintf(stderr, "atexit_game\n");
	game_de(&game);
}

int main(int argc, char *argv[])
{
	srand(time(NULL));

	SDL_Surface *screen;

	if(SDL_Init(SDL_INIT_VIDEO) == -1){
		fprintf(stderr, "Failed to initialize SDL\n");
		exit(1);
	}

	atexit(SDL_Quit);

	screen = SDL_SetVideoMode(640,480,8,SDL_SWSURFACE);
	//screen = SDL_SetVideoMode(640,480,8,SDL_SWSURFACE|SDL_FULLSCREEN);
	if(screen==NULL){
		fprintf(stderr, "Failed to create screen\n");
		exit(1);
	}

	if(game_co(&game, screen)==-1){
		fprintf(stderr, "game_co failed\n");
		return 1;
	}
	atexit(atexit_game);

	if(game_load(&game) == -1)
	{
		fprintf(stderr, "game_load failed\n");
	}
	else{
		if(game_run(&game) == -1)
		{
			fprintf(stderr, "game_run failed\n");
		}
	}
	printf("majava.\n");
	return 0;
}

